Game Develop Core: gd::ObjectsPropgridHelper Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::ObjectsPropgridHelper Class Reference

Helper class used to easily use a wxPropertyGrid so as to view and edit the properties of a gd::Object. More...

`#include <ObjectsPropgridHelper.h>`

## Public Member Functions

| ObjectsPropgridHelper (gd::Project &project_, gd::MainFrameWrapper &mainFrameWrapper_)
| Default constructor. More...
void | RefreshFrom (const gd::Object *object, bool displayedAfterInstanceProperties=false)
| Refresh the property grid from an object. More...
bool | OnPropertySelected (gd::Object *object, gd::Layout *layout, wxPropertyGridEvent &event)
| Call this when the event wxEVT_PG_SELECTED of wxPropertyGrid is triggered. More...
bool | OnPropertyChanged (gd::Object *object, gd::Layout *layout, wxPropertyGridEvent &event)
| Call this when the event wxEVT_PG_CHANGED of wxPropertyGrid is triggered. More...
void | SetGrid (wxPropertyGrid *grid_)
| Set the grid being used.

## Detailed Description

Helper class used to easily use a wxPropertyGrid so as to view and edit the properties of a gd::Object.

See Also
  gd::Object

## Constructor & Destructor Documentation

gd::ObjectsPropgridHelper::ObjectsPropgridHelper | ( | gd::Project & | project_,
|  | gd::MainFrameWrapper & | mainFrameWrapper_
| ) |  |

inline

Default constructor.

Parameters

  project | The project edited
  layout | The layout being edited

## Member Function Documentation

bool gd::ObjectsPropgridHelper::OnPropertyChanged | ( | gd::Object * | object,
|  | gd::Layout * | layout,
|  | wxPropertyGridEvent & | event
| ) |  |

Call this when the event wxEVT_PG_CHANGED of wxPropertyGrid is triggered.

Parameters

  object | The object displayed
  layout | The layout the object belongs to ( or the layout being edited for global objects )
  event | The event generated by wxWidgets.

Returns
  true if the grid must be updated

bool gd::ObjectsPropgridHelper::OnPropertySelected | ( | gd::Object * | object,
|  | gd::Layout * | layout,
|  | wxPropertyGridEvent & | event
| ) |  |

Call this when the event wxEVT_PG_SELECTED of wxPropertyGrid is triggered.

Parameters

  object | The object displayed
  layout | The layout the object belongs to ( or the layout being edited for global objects )
  event | The event generated by wxWidgets.

Returns
  true if the grid must be updated

void gd::ObjectsPropgridHelper::RefreshFrom | ( | const gd::Object * | object,
|  | bool | displayedAfterInstanceProperties = `false`
| ) |  |

Refresh the property grid from an object.

Parameters

  object | The object to be displayed.
  displayedAfterInstanceProperties | If set to true, it is assumed that the grid already contains properties of an instance of the object.

The documentation for this class was generated from the following files:

- ObjectsPropgridHelper.h
- ObjectsPropgridHelper.cpp